Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface ProcessManagement

All Known Subinterfaces:
  BpelManagementFacade, ProcessManagementConnection

All Known Implementing Classes:
  BpelManagementFacadeImpl, ProcessAndInstanceManagementImpl

    public interface ProcessManagement

Process Management API

Method Summary
`ProcessInfoDocument` | `activate(javax.xml.namespace.QName pid)` Activate a process.
`ActivityExtInfoListDocument` | `getExtensibilityElements(javax.xml.namespace.QName pid, java.lang.Integer[] aids)` Get all extensibility elements associated with provided activity ids.
`ProcessInfoDocument` | `getProcessInfo(javax.xml.namespace.QName pid)` Get the process info for a process (includingthe instance summary).
`ProcessInfoDocument` | `getProcessInfoCustom(javax.xml.namespace.QName pid, ProcessInfoCustomizer custom)` Get the process info for a process.
`ProcessInfoListDocument` | `listAllProcesses()` List the processes known to the engine.
`ProcessInfoListDocument` | `listProcesses(java.lang.String filter, java.lang.String orderKeys)` List the processes known to the engine (including instance summaries).
`ProcessInfoListDocument` | `listProcessesCustom(java.lang.String filter, java.lang.String orderKeys, ProcessInfoCustomizer custom)` List the processes known to the engine.
`void` | `setPackageRetired(java.lang.String packageName, boolean retired)` Retires all the processes contained in a package.
`ProcessInfoDocument` | `setProcessProperty(javax.xml.namespace.QName pid, javax.xml.namespace.QName propertyName, java.lang.String value)` Set a process property as a simple type.
`ProcessInfoDocument` | `setProcessPropertyNode(javax.xml.namespace.QName pid, javax.xml.namespace.QName propertyName, org.w3c.dom.Node value)` Set a process property as a Node.
`ProcessInfoDocument` | `setRetired(javax.xml.namespace.QName pid, boolean retired)` Retire a process.

Method Detail

### listProcesses

    ProcessInfoListDocument listProcesses(java.lang.String filter,
                                          java.lang.String orderKeys)

  List the processes known to the engine (including instance summaries).

  Parameters:
    `filter` - selection filter or `null` (for no filtering).
    `orderKeys` - keys used to order the results
  Returns:
    list of `ProcessInfoDocument`s (including instance summaries)

### listProcessesCustom

    ProcessInfoListDocument listProcessesCustom(java.lang.String filter,
                                                java.lang.String orderKeys,
                                                ProcessInfoCustomizer custom)

  List the processes known to the engine.

  Parameters:
    `filter` - selection filter or `null` (for no filtering).
    `orderKeys` - keys used to order the results
    `custom` - used to customize the quantity of information returned
  Returns:
    list of `ProcessInfoDocument`s (including instance summaries)

### listAllProcesses

    ProcessInfoListDocument listAllProcesses()

  List the processes known to the engine.

  Returns:
    list of `ProcessInfoDocument`s (including instance summaries)

### getProcessInfoCustom

    ProcessInfoDocument getProcessInfoCustom(javax.xml.namespace.QName pid,
                                             ProcessInfoCustomizer custom)
                                             throws ManagementException

  Get the process info for a process.

  Parameters:
    `pid` - name of the process
    `custom` - used to customize the quantity of information returned
  Returns:
    `ProcessInfoDocument`
  Throws:
    `ManagementException`

### getProcessInfo

    ProcessInfoDocument getProcessInfo(javax.xml.namespace.QName pid)
                                       throws ManagementException

  Get the process info for a process (includingthe instance summary).

  Parameters:
    `pid` - name of the process
  Returns:
    `ProcessInfoDocument` with all details.
  Throws:
    `ManagementException`

### getExtensibilityElements

    ActivityExtInfoListDocument getExtensibilityElements(javax.xml.namespace.QName pid,
                                                         java.lang.Integer[] aids)

  Get all extensibility elements associated with provided activity ids. Extensibility elements are extracted from the original BPEL document.

  Parameters:
    `pid` - process identifier
    `aids` - activity indentifiers
  Returns:
    a list of activity extension as `ActivityExtInfoListDocument`

### setProcessPropertyNode

    ProcessInfoDocument setProcessPropertyNode(javax.xml.namespace.QName pid,
                                               javax.xml.namespace.QName propertyName,
                                               org.w3c.dom.Node value)
                                               throws ManagementException

  Set a process property as a Node.

  Parameters:
    `pid` - name of process
    `propertyName` - qname of property
    `value` - property value
  Returns:
    `ProcessInfoDocument` reflecting the modification
  Throws:
    `ManagementException`

### setProcessProperty

    ProcessInfoDocument setProcessProperty(javax.xml.namespace.QName pid,
                                           javax.xml.namespace.QName propertyName,
                                           java.lang.String value)
                                           throws ManagementException

  Set a process property as a simple type.

  Parameters:
    `pid` - name of process
    `propertyName` - qname of property
    `value` - property value
  Returns:
    `ProcessInfoDocument` reflecting the modification
  Throws:
    `ManagementException`

### activate

    ProcessInfoDocument activate(javax.xml.namespace.QName pid)
                                 throws ManagementException

  Activate a process.

  Parameters:
    `pid` - identifier for the process to load
  Returns:
    `ProcessInfoDocument` reflecting the modification
  Throws:
    `ManagementException`

### setRetired

    ProcessInfoDocument setRetired(javax.xml.namespace.QName pid,
                                   boolean retired)
                                   throws ManagementException

  Retire a process.

  Parameters:
    `pid` - identifier of the process to retire
    `retired` - new value of retired flag
  Returns:
    `ProcessInfoDocument` reflecting the modification
  Throws:
    `ManagementException`

### setPackageRetired

    void setPackageRetired(java.lang.String packageName,
                           boolean retired)

  Retires all the processes contained in a package.

  Parameters:
    `packageName` -
    `retired` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD